open-vm-tools 9.10.2

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
rpcdebug.h File Reference
`#include "vmware/tools/plugin.h"`

Go to the source code of this file.

## Data Structures
struct | RpcDebugRecvMapping
struct | RpcDebugMsgMapping
struct | RpcDebugMsgList
struct | RpcDebugPlugin
struct | RpcDebugLibData

## Macros
#define | RPCDEBUG_ASSERT(test, retval)

## Typedefs
typedef gboolean(* | RpcDebugRecvFn) (char *data, size_t dataLen, char **result, size_t *resultLen)
typedef struct RpcDebugRecvMapping | RpcDebugRecvMapping
typedef gboolean(* | RpcDebugValidateFn) (RpcInData *data, gboolean ret)
typedef struct RpcDebugMsgMapping | RpcDebugMsgMapping
typedef struct RpcDebugMsgList | RpcDebugMsgList
typedef gboolean(* | RpcDebugSendFn) (RpcDebugMsgMapping *rpcdata)
typedef void(* | RpcDebugShutdownFn) (ToolsAppCtx *ctx, struct RpcDebugPlugin *plugin)
typedef struct RpcDebugPlugin | RpcDebugPlugin
typedef RpcDebugPlugin *(* | RpcDebugOnLoadFn) (ToolsAppCtx *ctx)
typedef struct RpcDebugLibData | RpcDebugLibData
typedef RpcDebugLibData *(* | RpcDebugInitializeFn) (ToolsAppCtx *, gchar *)

## Functions
G_BEGIN_DECLS void | RpcDebug_DecRef (ToolsAppCtx *ctx)
void | RpcDebug_IncRef (void)
RpcDebugLibData * | RpcDebug_Initialize (ToolsAppCtx *ctx, gchar *dbgPlugin)
gboolean | RpcDebug_SendNext (RpcDebugMsgMapping *rpcdata, RpcDebugMsgList *list)
void | RpcDebug_SetResult (const char *str, char **res, size_t *len)

## Detailed Description

Defines the public API for the "GuestRPC Debug Channel" implementation, and the interface between the debug library and debug plugins.